<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class CatatanKesehatan extends Model
{
    use HasApiTokens, HasFactory, Notifiable;

    protected $fillable = [
        'santri_id', 'kelas_id', 'keluhan', 'diagnosis', 'saran'
    ];

    public function santri()
    {
        return $this->belongsTo(\App\Models\Santri::class);
    }
    public function kelas()
    {
        return $this->belongsTo(\App\Models\Kelas::class);
    }
}
